#!/usr/bin/env python

from __future__ import print_function

import numpy as np
from osgeo import gdal

print(gdal.VersionInfo('RELEASE'))

filename = 'test.dat'
xsize = 120
ysize = 100
geotransform = (1., 0.001, 0., 2., 0., 0.002)

data = np.zeros((ysize, xsize), 'float32')

drv = gdal.GetDriverByName('ENVI')
ds = drv.Create('test.dat', xsize, ysize, 1, gdal.GDT_Float32)
ds.SetGeoTransform(geotransform)
band = ds.GetRasterBand(1)
band.WriteArray(data)
ds.FlushCache()
band = ds = None

# @NOTE: if the file is not closed and re-opende all works fine
ds = gdal.Open(filename)
read_geotransform = ds.GetGeoTransform()
print('geotransform', geotransform)
print('read geotransform', read_geotransform)
assert read_geotransform == geotransform
